GET /v1/Rooms/{RoomSid}/Recordings

twilio.com:twilio_video_v1

Summary:
Operation ID: ListRoomRecording
Auth: unknown

Parameters (8)

DateCreatedAfter (string, query, optional)

Read only recordings that started on or after this [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) datetime with time zone.

DateCreatedBefore (string, query, optional)

Read only Recordings that started before this [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) datetime with time zone.

Page (integer, query, optional)

The page index. This value is simply for client state.

Constraints: {'minimum': 0}

PageSize (integer, query, optional)

How many resources to return in each list page. The default is 50, and the maximum is 1000.

Constraints: {'minimum': 1, 'maximum': 1000}

PageToken (string, query, optional)

The page token. This is provided by the API.

RoomSid (string, path, required)

The SID of the room with the RoomRecording resources to read.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^RM[0-9a-fA-F]{32}$'}

SourceSid (string, query, optional)

Read only the recordings that have this `source_sid`.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^[a-zA-Z]{2}[0-9a-fA-F]{32}$'}

Status (string, query, optional)

Read only the recordings with this status. Can be: `processing`, `completed`, or `deleted`.

No probe data for this endpoint yet.